aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash')
-rw-r--r--bash/bash_completion.d/sed.bash3
-rw-r--r--bash/bash_completion.d/source.bash3
2 files changed, 4 insertions, 2 deletions
diff --git a/bash/bash_completion.d/sed.bash b/bash/bash_completion.d/sed.bash
index 7957ebe2..3137412e 100644
--- a/bash/bash_completion.d/sed.bash
+++ b/bash/bash_completion.d/sed.bash
@@ -1,4 +1,5 @@
# Completion for sed(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames sed
diff --git a/bash/bash_completion.d/source.bash b/bash/bash_completion.d/source.bash
index de608813..8f40e9e2 100644
--- a/bash/bash_completion.d/source.bash
+++ b/bash/bash_completion.d/source.bash
@@ -1,4 +1,5 @@
# Completion for `source` with files that look like plain text
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames source